%define	name	edje
%define	version	0.5.0
%define	release	0.%{cvsrel}.2mdk

%define cvsrel 20040913

%define major 0
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} %major -d

Summary: Edje is a complex graphical design & layout library.
Name: %{name}
Version: %{version}
Release: %{release}
License: BSD
Group: System/Libraries
URL: http://www.enlightenment.org/
Source: %{name}-%{cvsrel}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot
Buildrequires: libembryo-devel libecore-devel 

%define _requires_exceptions devel(libecore)\\|devel(libecore_con)\\|devel(libecore_config)\\|devel(libecore_evas)||\devel(libecore_fb)\\|devel(libecore_ipc)\\|devel(libecore_job)\\|devel(libecore_txt)\\|devel(libecore_x)\\|devel(libecore_evas)\\|devel(libecore_fb)

%description
Edje is a more complex layout engine compared to Ebits. It doesn't pretend 
to do containering and regular layout like a widget set. It still inherits 
the more simplistic layout ideas behind Ebits, but it now does them a lot 
more cleanly, allowing for easy expansion, and the ability to cover much 
more ground than Ebits ever could. For the purposes of Enlightenment 0.17, 
Edje should serve all the purposes of creating visual elements (borders of 
windows, scrollbars, etc.) and allow the designer the ability to animate, 
layout and control the look and feel of any program using Edje as its basic 
GUI constructor. This library allows for multiple collections of Layouts in 
one file, sharing the same image database and thus allowing a whole theme 
to be conveneintly packaged into 1 file and shipped around.

%package -n %libname
Summary: Libraries for the edje package.
Group: System/Libraries
Provides: %libname = %{version}-%{release}

%description -n %libname
Libraries for edje.

%package -n %libnamedev
Summary: Enlightenment edje headers and development libraries.
Group: Development/Other
Requires: %libname = %version
Provides: %libnamedev = %{version}-%{release}
Provides: libedje-devel
Requires: libecore-devel libevas-devel

%description -n %libnamedev
Edje development headers and libraries.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %name

%build

./autogen.sh

%configure

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README 
%_bindir/%name
%_bindir/%{name}_cc
%_bindir/%{name}_decc
%_bindir/%{name}_ls
%_bindir/%{name}_recc
%_datadir/%name

%files -n %libname
%defattr(-,root,root)
%_libdir/lib*.so.*
%_libdir/pkgconfig/*

%files -n %libnamedev
%defattr(-,root,root)
%_libdir/lib*.so
%_libdir/lib*.*a
%_includedir/*.h
%_bindir/%name-config

%changelog
* Fri Sep 24 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.5.0-0.20040913.2mdk
- add some requires exceptions
- fix libedje-devel requires 

* Fri Sep 24 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.5.0-0.20040913.1mdk
- 0.5.0 20040913
